#include <wx/wx.h>

// Classe Janela, para demonstrar uma janela que responde eventos.

class Janela : public wxFrame
{
    public:
        Janela(const wxString& titulo, const wxSize& tamanho = wxDefaultSize, const wxPoint& posicao = wxDefaultPosition);
        void QuandoMudarTamanho(wxSizeEvent& e);
        void QuandoClicarBotao(wxCommandEvent& e);
        void QuandoFechar(wxCloseEvent& evento);

    private:
        void CentralizarBotao();
        wxPanel* ptPainel;
        wxButton* ptBotao;

        DECLARE_EVENT_TABLE()
};
